*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    
    min-height: 100vh;
    overflow-x: hidden;

}

.slider-wrapper{
    width: 250px;
    height: 300px;
    position: absolute;
    top: 50%;
    right: 100px;
    transform: translateY(-50%);
}

.slider{
    position: relative;
    width: 180px;
    height: 200px;
    transform-style: preserve-3d;
    animation: rotate 50s linear infinite;

}

@keyframes rotate {
    0%{
        transform: perspective(1000px) rotateY(0deg);
    }

    100%{
        transform: perspective(1000px) rotateY(360deg);
    }
}

.slider span{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transform-origin: center;
    transform-style: preserve-3d;
    transform: rotateY(calc(var(--i)*30deg)) translateZ(350px);
}

.slider span img{
    position: absolute;
    top: 0;
    left: 0;
    width: 70%;
    height: 100%;
    border-radius: 10px;
    object-fit: cover;
    transition: 2s;
}

.slider span:hover img{
    transform: translateY(-50px) scale(1.2);
}

.hero{
    position: relative;
    height: 500px;

    display: flex;
    align-items: center;

    padding-left: 80px;
}

.hero-text{
    max-width: 400px;
    color: white;
    position: relative;
    z-index: 10;
     text-align: center;

    display: flex;
    flex-direction: column;
    align-items: center;
}

.headline{
    font-size: 48px;
    font-weight: bold;
    margin-bottom: 15px;
}

.subtext{
    font-size: 18px;
    color: #ccc;
    margin-bottom: 25px;
    
}

.explore-btn{
    background: #3b82f6;
    padding: 12px 24px;
    border-radius: 8px;
    font-weight: bold;
    cursor: pointer;
}

